/**
 * @file Usersnap Widget load.
 *
 * @module usersnap.
 */
(function ($, Drupal, drupalSettings) {
  window.onUsersnapLoad = function (api) {
    api.init({
      button: {
        label: drupalSettings.usersnap.button,
        position: drupalSettings.usersnap.position
      },
      locale: drupalSettings.usersnap.language,
      fields: {
        comment: drupalSettings.usersnap.commentBox
          ? {
              defaultValue: drupalSettings.usersnap.commentPlaceholder,
              required: drupalSettings.usersnap.commentRequired
            }
          : null,
        email: drupalSettings.usersnap.email
          ? {
              initialValue: drupalSettings.usersnap.emailPlaceholder,
              required: drupalSettings.usersnap.emailRequired
            }
          : null
      }
    });
  };
})(jQuery, Drupal, drupalSettings);
